Package Details: saga-gis 7.9.0-1

Git Clone URL: https://aur.archlinux.org/saga-gis.git (read-only, click to copy)
Package Base: saga-gis
Description: A Geographic Information System (GIS) software with immense capabilities for geodata processing and analysis.
Upstream URL: http://www.saga-gis.org
Keywords: GeoSpatial GIS
Licenses: GPL3
Submitter: None
Maintainer: geosam
Last Packager: geosam
Votes: 11
Popularity: 0.000000
First Submitted: 2007-07-16 01:57
Last Updated: 2021-01-22 04:12

Latest Comments

1 2 3 4 5 6 ... Next › Last »

kikislater commented on 2021-04-30 07:21

I don't have this problem ! If I load lib through gui :

[2021-04-30/10:30:31] Loading library: /usr/lib/saga/libio_gdal.so...has already been loaded

$ cat ~/.saga_gui | grep gdal
LIB_042=libio_gdal.so

erydit commented on 2021-04-29 15:31

OK i manually loaded libio_gdal.so through menu Geoprocessing -> Load Tool library, and GDAl tools appeared in the tools list. After reloading the gdal loads automatically.

... maybe some config files in home directory prevented to load the library before..

Actually, /home/user/.saga_gui contains the list of libraries to be load.

erydit commented on 2021-04-29 14:49

I fully cleared AUR cache and reinstalled SAGA. That did not help.

I found libio_gdal.so in the /usr/lib/saga/ , but SAGA does not load this library during startup without any error.

kikislater commented on 2021-04-29 14:03

Did you clean your aur helper files ? I built it today without problems under manjaro as well but I use gdal-ecw package

erydit commented on 2021-04-29 13:54

I tried to rebuild SAGA, however gdal tools did not appear.

However build log showed that gdal is installed in my system: checking for GDAL library... yes checking for OGR support in GDAL library... yes checking if GDAL version is >= 1.7... yes

kikislater commented on 2021-04-29 13:24

Yes you need to rebuild saga

erydit commented on 2021-04-29 12:13

After last manjaro update the gdal modules are unable to load in saga. Maybe this is because gdal lib was updated to 3.2.2

kikislater commented on 2021-01-20 04:12

SAGA 7.9 PKGBUILD :

# Maintainer: Samuel Fernando Mesa Giraldo <samuelmesa@linuxmail.org>
# Maintainer: SaultDon <sault.don gmail>
# Contributor: Luigi Ranghetti <luigi.ranghetti@gmail.com>
# Contributor: Dominik Fuchs <dominik.fuchs@wur.nl>
# Contributor: Marcelo Avalos Tejeda <marcelo.avalos@gmail.com>

pkgname=saga-gis
_pkgname=saga
pkgver=7.9.0
pkgrel=1
pkgdesc="A Geographic Information System (GIS) software with immense capabilities for geodata processing and analysis."
url="http://www.saga-gis.org"
license=("GPL3")
arch=('i686' 'x86_64')
depends=('wxgtk2'
         'proj' 'lua-hpdf'
         'gdal'
         'libtiff'
         'unixodbc'
         'jasper'
         'swig')
optdepends=('opencv3-opt'
            'vigra'
            'liblas'
            'libharu' 'libsvm')
source=("https://sourceforge.net/projects/saga-gis/files/SAGA - 7/SAGA - ${pkgver}/saga-${pkgver}.tar.gz")
md5sums=('b988d202508ea8387150d13ff9292fa5')

build() {
  cd "${srcdir}/${_pkgname}-${pkgver}"

  autoreconf -i

  ./configure --prefix=/usr \
              --enable-shared \
              --enable-python PYTHON_VERSION=3 PYTHON=/usr/bin/python \
              --with-postgresql=/usr/bin/pg_config \
              --with-gdal=/usr/bin/gdal-config \
              CXXFLAGS="`wx-config --version=3.0 --cxxflags` -I/opt/opencv3/include/" \
              LIBS="`wx-config --version=3.0 --libs`" \
              LDFLAGS="-L/opt/opencv3/lib/"

  msg "Start compiling ..."
  make -j$(nproc)
}

package () {
  cd "${srcdir}/${_pkgname}-${pkgver}"

  make DESTDIR="${pkgdir}" install

  install -Dm644 "${srcdir}/${_pkgname}-${pkgver}/src/saga_core/saga_gui/res/saga.png" \
                   "${pkgdir}/usr/share/pixmaps/${_pkgname}.png"
}

kikislater commented on 2020-11-20 04:25

Use the following PKGBUILD with 7.8.1 version I'm in french as well ... type LANG=C in terminal before your command to avoid french words in output !

# Maintainer: Samuel Fernando Mesa Giraldo <samuelmesa@linuxmail.org>
# Maintainer: SaultDon <sault.don gmail>
# Contributor: Luigi Ranghetti <luigi.ranghetti@gmail.com>
# Contributor: Dominik Fuchs <dominik.fuchs@wur.nl>
# Contributor: Marcelo Avalos Tejeda <marcelo.avalos@gmail.com>

pkgname=saga-gis
_pkgname=saga
pkgver=7.8.1
pkgrel=1
pkgdesc="A Geographic Information System (GIS) software with immense capabilities for geodata processing and analysis."
url="http://www.saga-gis.org"
license=("GPL3")
arch=('i686' 'x86_64')
depends=('wxgtk'
         'proj' 'lua-hpdf'
         'gdal'
         'libtiff'
         'unixodbc'
         'jasper'
         'swig')
optdepends=('opencv3-opt'
            'vigra'
            'liblas'
            'libharu' 'libsvm')
source=("https://sourceforge.net/projects/saga-gis/files/SAGA - 7/SAGA - ${pkgver}/saga-${pkgver}.tar.gz")
md5sums=('8f32ca8ee79c3fad1a8a76e6ae99e8fa')

build() {
  cd "${srcdir}/${_pkgname}-${pkgver}"

  autoreconf -i

  ./configure --prefix=/usr \
              --enable-shared \
              --enable-python PYTHON_VERSION=3 PYTHON=/usr/bin/python \
              --with-postgresql=/usr/bin/pg_config \
              --with-gdal=/usr/bin/gdal-config \
              CXXFLAGS="`wx-config --version=3.0 --cxxflags` -I/opt/opencv3/include/" \
              LIBS="`wx-config --version=3.0 --libs`" \
              LDFLAGS="-L/opt/opencv3/lib/"

  msg "Start compiling ..."
  make -j$(nproc)
}

package () {
  cd "${srcdir}/${_pkgname}-${pkgver}"

  make DESTDIR="${pkgdir}" install

  install -Dm644 "${srcdir}/${_pkgname}-${pkgver}/src/saga_core/saga_gui/res/saga.png" \
                   "${pkgdir}/usr/share/pixmaps/${_pkgname}.png"
}

Phigger commented on 2020-11-19 08:43

Hello there, compilation doesn't work for me. I tried installing opcv3-opt firt, but it didn't fix the problem.

opencv.cpp: Dans la fonction « bool Copy_Grid_To_CVMatrix(CSG_Grid*, cv::Mat*, bool) »:
opencv.cpp:113:28: erreur: conversion de « cv::Mat » vers le type non scalaire « CvMat » demandée
  113 |    CvMat Row = pMatrix->row(y);
      |                ~~~~~~~~~~~~^~~
opencv.cpp: Dans la fonction « bool Copy_CVMatrix_To_Grid(CSG_Grid*, cv::Mat*, bool) »:
opencv.cpp:147:28: erreur: conversion de « cv::Mat » vers le type non scalaire « CvMat » demandée
  147 |    CvMat Row = pMatrix->row(y);

This is where I get that having my computer in French won't help...